network.Server Class Reference

Listen on a network port and accept connections. More...

## Public Member Functions

def | close (self)
| Stop the server. More...

## Public Attributes

| port
| Port that is listened on. More...
| ipv6
| Whether the server listens for IPv6. More...
| tls
| False or the hostname for which the TLS keys are used. More...
| connections
| Currently active connections for this server. More...
| disconnect_cb
| Disconnect handler, to be used for new sockets. More...

## Detailed Description

Listen on a network port and accept connections.

Definition at line 464 of file network.py.

The documentation for this class was generated from the following file:

- network.py